com.google.cloud.dataflow.sdk.transforms.display

## Enum DisplayData.Type

- java.lang.Object
- - java.lang.Enum<DisplayData.Type>
  - - com.google.cloud.dataflow.sdk.transforms.display.DisplayData.Type

All Implemented Interfaces:
  Serializable, Comparable<DisplayData.Type>

Enclosing class:
  DisplayData

    public static enum DisplayData.Type
    extends Enum<DisplayData.Type>

Display data type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOOLEAN`
`DURATION`
`FLOAT`
`INTEGER`
`JAVA_CLASS`
`STRING`
`TIMESTAMP`

### Method Summary

All Methods Static Methods Concrete Methods
`static DisplayData.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DisplayData.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STRING

    public static final DisplayData.Type STRING

#### INTEGER

    public static final DisplayData.Type INTEGER

#### FLOAT

    public static final DisplayData.Type FLOAT

#### BOOLEAN

    public static final DisplayData.Type BOOLEAN

#### TIMESTAMP

    public static final DisplayData.Type TIMESTAMP

#### DURATION

    public static final DisplayData.Type DURATION

#### JAVA_CLASS

    public static final DisplayData.Type JAVA_CLASS

### Method Detail

#### values

    public static DisplayData.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DisplayData.Type c : DisplayData.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DisplayData.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null